org.eclnt.jsfserver.elements.componentnodes

## Class ROWADAPTIVEAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ROWADAPTIVEAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class ROWADAPTIVEAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ROWADAPTIVEAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ROWADAPTIVEAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `ROWADAPTIVEAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindAdaptivecategories(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindBackground(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindBorder(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindColdistance(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindPadding(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindRounding(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindRowdistance(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindShadow(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ROWADAPTIVEAREANode` | `setActionListener(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setAdapterbinding(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setAdaptivecategories(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setAttributemacro(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setBackground(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setBgpaint(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setBorder(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setColdistance(int value)`
    `ROWADAPTIVEAREANode` | `setColdistance(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setComment(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setConfiginfo(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setFlusharea(boolean value)`
    `ROWADAPTIVEAREANode` | `setFlusharea(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setFxstyleseq(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setHeight(int value)`
    `ROWADAPTIVEAREANode` | `setHeight(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setHelpid(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setId(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setPadding(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setPopupmenu(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setReference(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setRendered(boolean value)`
    `ROWADAPTIVEAREANode` | `setRendered(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setRounding(int value)`
    `ROWADAPTIVEAREANode` | `setRounding(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setRowdistance(int value)`
    `ROWADAPTIVEAREANode` | `setRowdistance(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setShadow(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setStyleseq(java.lang.String value)`
    `ROWADAPTIVEAREANode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ROWADAPTIVEAREANode

          public ROWADAPTIVEAREANode()

  - ### Method Detail

    - #### setId

          public ROWADAPTIVEAREANode setId(java.lang.String value)

    - #### setActionListener

          public ROWADAPTIVEAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ROWADAPTIVEAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ROWADAPTIVEAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ROWADAPTIVEAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAdaptivecategories

          public ROWADAPTIVEAREANode setAdaptivecategories(java.lang.String value)

    - #### bindAdaptivecategories

          public ROWADAPTIVEAREANode bindAdaptivecategories(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public ROWADAPTIVEAREANode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ROWADAPTIVEAREANode setBackground(java.lang.String value)

    - #### bindBackground

          public ROWADAPTIVEAREANode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ROWADAPTIVEAREANode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ROWADAPTIVEAREANode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public ROWADAPTIVEAREANode setBorder(java.lang.String value)

    - #### bindBorder

          public ROWADAPTIVEAREANode bindBorder(IDynamicContentBindingObject value)

    - #### setColdistance

          public ROWADAPTIVEAREANode setColdistance(java.lang.String value)

    - #### bindColdistance

          public ROWADAPTIVEAREANode bindColdistance(IDynamicContentBindingObject value)

    - #### setColdistance

          public ROWADAPTIVEAREANode setColdistance(int value)

    - #### setComment

          public ROWADAPTIVEAREANode setComment(java.lang.String value)

    - #### bindComment

          public ROWADAPTIVEAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ROWADAPTIVEAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ROWADAPTIVEAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROWADAPTIVEAREANode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ROWADAPTIVEAREANode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ROWADAPTIVEAREANode setFlusharea(boolean value)

    - #### setFxstyleseq

          public ROWADAPTIVEAREANode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public ROWADAPTIVEAREANode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWADAPTIVEAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public ROWADAPTIVEAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ROWADAPTIVEAREANode setHeight(int value)

    - #### setHelpid

          public ROWADAPTIVEAREANode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ROWADAPTIVEAREANode bindHelpid(IDynamicContentBindingObject value)

    - #### setPadding

          public ROWADAPTIVEAREANode setPadding(java.lang.String value)

    - #### bindPadding

          public ROWADAPTIVEAREANode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ROWADAPTIVEAREANode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ROWADAPTIVEAREANode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ROWADAPTIVEAREANode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ROWADAPTIVEAREANode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ROWADAPTIVEAREANode setReference(java.lang.String value)

    - #### setRendered

          public ROWADAPTIVEAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public ROWADAPTIVEAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ROWADAPTIVEAREANode setRendered(boolean value)

    - #### setRounding

          public ROWADAPTIVEAREANode setRounding(java.lang.String value)

    - #### bindRounding

          public ROWADAPTIVEAREANode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public ROWADAPTIVEAREANode setRounding(int value)

    - #### setRowdistance

          public ROWADAPTIVEAREANode setRowdistance(java.lang.String value)

    - #### bindRowdistance

          public ROWADAPTIVEAREANode bindRowdistance(IDynamicContentBindingObject value)

    - #### setRowdistance

          public ROWADAPTIVEAREANode setRowdistance(int value)

    - #### setShadow

          public ROWADAPTIVEAREANode setShadow(java.lang.String value)

    - #### bindShadow

          public ROWADAPTIVEAREANode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public ROWADAPTIVEAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public ROWADAPTIVEAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public ROWADAPTIVEAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ROWADAPTIVEAREANode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.